openmidending-stat.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
openmidending-stat.cc File Reference
`#include "osl/eval/ml/openMidEndingEval.h"`
`#include "osl/progress/ml/newProgress.h"`
`#include "osl/record/csaRecord.h"`
`#include "osl/state/numEffectState.h"`
`#include "osl/stat/variance.h"`
`#include "osl/oslConfig.h"`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <unistd.h>`
Include dependency graph for openmidending-stat.cc:

Go to the source code of this file.

## Functions
void | usage (const char *prog)
void | show (const char *filename)
void | finish ()
int | main (int argc, char **argv)
void | show (const NumEffectState &state)

## Variables
CArray< CArray< Variance, 4 > , OpenMidEndingEvalDebugInfo::STAGE_FEATURE_LIMIT > | stage_features
CArray< Variance, OpenMidEndingEvalDebugInfo::PROGRESS_INDEPENDENT_FEATURE_LIMIT > | progress_independent_features

## Function Documentation

void finish | ( | ) |  |

Definition at line 76 of file openmidending-stat.cc.

References progress_independent_features, and stage_features.

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 29 of file openmidending-stat.cc.

References finish, osl::eval::ml::OpenMidEndingEval::setUp(), osl::progress::ml::NewProgress::setUp(), osl::record::csa::show(), and usage().

void show | ( | const char * | filename) |  |

Definition at line 90 of file openmidending-stat.cc.

References moves, and osl::record::csa::show().

void show | ( | const NumEffectState & | state) |  |

Definition at line 66 of file openmidending-stat.cc.

References osl::eval::ml::OpenMidEndingEval::debugInfo(), progress_independent_features, osl::eval::ml::OpenMidEndingEvalDebugInfo::progress_independent_values, stage_features, and osl::eval::ml::OpenMidEndingEvalDebugInfo::stage_values.

void usage | ( | const char * | prog) |  |

Definition at line 18 of file openmidending-stat.cc.

## Variable Documentation

CArray<Variance, OpenMidEndingEvalDebugInfo::PROGRESS_INDEPENDENT_FEATURE_LIMIT> progress_independent_features

Definition at line 64 of file openmidending-stat.cc.

Referenced by finish(), and show().

CArray<CArray<Variance,4>, OpenMidEndingEvalDebugInfo::STAGE_FEATURE_LIMIT> stage_features

Definition at line 62 of file openmidending-stat.cc.

Referenced by finish(), and show().